package com.bigdata.wxappserver.controller;

import com.alibaba.fastjson.JSONObject;
import com.bigdata.wxappserver.service.GoodsService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: Cool
 * @Date: 2024/08/29/19:53
 * @Description:
 */
@RestController
@RequestMapping("goods")
@Slf4j
public class GoodsController {
    @Autowired
    GoodsService goodsService;

    @RequestMapping("addOrUpdate")
    public JSONObject addOrUpdate(@RequestBody JSONObject jsonObject){
        return goodsService.addOrUpdate(jsonObject);
    }
    @RequestMapping("delete")
    public JSONObject delete(@RequestParam("id")Integer id){
        return goodsService.delete(id);
//        return new JSONObject().fluentPut("success",goodsService.removeById(id));
    }
    @RequestMapping("getById")
    public JSONObject queryById(@RequestParam("id") Integer id){
        return goodsService.queryById(id);
    }

    @RequestMapping("loadData")
    public JSONObject list(){
        return new JSONObject().fluentPut("data",goodsService.list());
    }

}
