package com.bigdata.wxappserver.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.bigdata.wxappserver.entity.Base;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: Cool
 * @Date: 2024/09/01/2:23
 * @Description:
 */
@Data
public class OrderDto extends Base {
    private Integer id;

    private Integer userId;
    private Integer goodsId;
    private String address;
    private LocalDateTime deliveryTime;

    /**
     * 订单状态 @see
     */
    private Integer status;
    private String statusDescription;
    /**
     * 购买数量
     */
    private Integer num;
    /**
     * 商品规格
     */
    private String specs;
    /**
     * 商品名称
     */
    private String goodName;
    /**
     * 商品价格
     */
    private BigDecimal goodPrice;
    /**
     * 商品图片路径
     */
    private String goodImage;
    /**
     * 商品描述
     */
    private String goodDetail;

}
